/*
 * viewdatescreen.h - Screen for viewing the date and time
 * Copyright (C) 2024  Alexander Rosenberg
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version. See the LICENSE file for more information.
 */
#ifndef INCLUDED_VIEWDATESCREEN_H
#define INCLUDED_VIEWDATESCREEN_H

#include "screen.h"

typedef struct {
    Screen parent;
    int64_t last_time;
} ViewDateScreen;

/*
 * Create a new view date screen that shows the user the current date and time.
 */
ViewDateScreen *view_date_screen_new(void);

#endif
